%define fontdir %{_datadir}/fonts/lklug
%define cvs_date 20110221
Name:          lklug-fonts
Version:       0.6
Release:       2mamba
Summary:       Fonts for Sinhala language
Group:         System/Fonts
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sinhala.sourceforge.net/
# cvs -z3 -d:pserver:anonymous@sinhala.cvs.sourceforge.net:/cvsroot/sinhala co -P sinhala/fonts
# cd sinhala/fonts/
# tar -czf lklug-%{cvs_date}-src-cvs.tar.gz convert.ff COPYING  CREDITS lklug.sfd Makefile README.fonts
Source0:       lklug-%{cvs_date}-src-cvs.tar.gz
Source1:       65-lklug.conf
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: fontforge
BuildRequires: mkfontdir
BuildRequires: mkfontscale

%description
The %{name} package contains fonts for the display of Sinhala. The original font for TeX/LaTeX is developed by Yannis Haralambous and are in GPL. OTF tables are added by Anuradha Ratnaweera and Harshani Devadithya.

%prep
%setup -q -c %{name}-%{version}

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{fontdir} %{buildroot}%{_sysconfdir}/fonts/{conf.d,conf.avail}

install -m0644 *.ttf %{buildroot}%{fontdir}
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fonts/conf.avail/65-lklug.conf

pushd %{buildroot}%{_sysconfdir}/fonts/conf.avail
  for f in *.conf; do
    ln -s ../conf.avail/$f ../conf.d/$f
  done
popd

mkfontdir %{buildroot}%{fontdir}
mkfontscale %{buildroot}%{fontdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ -x %{_bindir}/fc-cache ]; then
   %{_bindir}/fc-cache %{_datadir}/fonts
fi
:

%postun
if [ "$1" = "0" ]; then
   if [ -x %{_bindir}/fc-cache ]; then
      %{_bindir}/fc-cache %{_datadir}/fonts
   fi
fi
:

%files
%defattr(-,root,root)
%{_sysconfdir}/fonts/conf.avail/*-lklug.conf
%{_sysconfdir}/fonts/conf.d/*-lklug.conf
%dir %{fontdir}
%{fontdir}/*.ttf
%verify(not md5 size mtime) %{fontdir}/fonts.dir
%verify(not md5 size mtime) %{fontdir}/fonts.scale
%doc COPYING CREDITS README.fonts

%changelog
* Thu May 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6-2mamba
- specfile fixes

* Mon Feb 21 2011 gil <puntogil@libero.it> 0.6-1mamba
- package created by autospec
